<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Skeleton Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#2925d23c3c60d4344e531676a01e9af6">_buildMapBoneByHandle</a>(const Skeleton *source, BoneHandleMap &amp;boneHandleMap) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#c3ec63b7b9f044b8fb0b0b3c76f7bf72">_buildMapBoneByName</a>(const Skeleton *source, BoneHandleMap &amp;boneHandleMap) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#4bff56a558381025a2be16e2a4a76b02">_dumpContents</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f53b1f86d73503ec336f3a21b491f59b">_fireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#1245953c5c1de4ea3935d9a2614bb417">_getAnimationImpl</a>(const String &amp;name, const LinkedSkeletonAnimationSource **linker=0) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#d7be2212dc5ff2719a4411b7d4d7245c">_getBoneMatrices</a>(Matrix4 *pMatrices)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#f124af663b4df4118eea93c3a326cf69">_initAnimationState</a>(AnimationStateSet *animSet)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#0cc03e92fdf49c21fee8aa40631e276b">_mergeSkeletonAnimations</a>(const Skeleton *source, const BoneHandleMap &amp;boneHandleMap, const StringVector &amp;animations=StringVector())</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#03b44f6388b5186b1fb27b18810d0757">_notifyManualBonesDirty</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#caf9b4811f0308062df913e3f280bbdc">_notifyManualBoneStateChange</a>(Bone *bone)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#7e248a1cca0662418d4ab3f63c2e7cf6">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a665d3816bed0f4fe5615ddd36c5496a">_refreshAnimationState</a>(AnimationStateSet *animSet)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#5d4648d138e39e3ca34f76558bfedf55">_updateTransforms</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#162794b4b599410e395ad9ed0a7eac64">addLinkedSkeletonAnimationSource</a>(const String &amp;skelName, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#27713fbf67e85e0da2fe4c07c37bddf8">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#55d6c0837479ccc8a2c37455b123c7fc">AnimationList</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#0b88d4537f7b1ef7a4fe41f5be3c5e30">BoneHandleMap</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#9174ebaa5262a5aee4dff1978bb80412">BoneIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#d4af07ba90c848759e9b3a993efeb952">BoneList</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#11792fdd187f2a61c4acc8e7d1310226">BoneListByName</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#940b0ac2020e674c30125a76c502adb2">BoneSet</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#fa83f6f72123b2e69ca5e96951934209">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f86a189bd81f8770750443ec906eff6f">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#affbdd130cfc11e8b61fb1ed76486a78">createAnimation</a>(const String &amp;name, Real length)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#ee9db3459a5b94aab9cc58873fbf5650">createBone</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#15017c0c32eecca545bc00628e1afffd">createBone</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#8eccb87bb5898be99a2bc1814c4b7d6e">createBone</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#cebcf6ced62ea297e793dd873810ac76">createBone</a>(const String &amp;name, unsigned short handle)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#9d9c5ac30c97a9c17b234db9a2fb259c">deriveRootBone</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#4a423d5fcac9fce32bf1c497653cd2ac">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#f39a83f671e0393c7a71db66e046266b">getAnimation</a>(const String &amp;name, const LinkedSkeletonAnimationSource **linker=0) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#c447c9183839ed0574e2f88261d24b73">getAnimation</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#189b77d08db99131a57902ba0a8a5db1">getBlendMode</a>() const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#0d61926046b3e6d1623d38c5623e503c">getBone</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#af3fd9e188e2b211bdf69630d2db4efa">getBone</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#397bf260ff70afd076cd7be9d163fc35">getBoneIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b6e377a3964d566ea112fe63bf1d7678">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#980cb848898544602746e82ffe5afe1b">getGroup</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#efd258479b788213275bbe1b54b52f85">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#de3bdcc4a590e3d761ff7e565ee62472">getLinkedSkeletonAnimationSourceIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#8408ffbd3ddfaac116e8565d2163975a">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#be8363fb958cb666ac2c12cb9cde844f">getManualBonesDirty</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c53229433c56a309c72da721b15d37ef">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#0cfe3cc19e93de80395c1ee1927b1a86">getNumAnimations</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#db6133f1881a894696049e49fbc1cb2c">getNumBones</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#45bc7dcdc46cb3fa7c12140cc57b5611">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#6014584c477ebf3f821930ad2ee20bcb">getRootBone</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#b385926120199e5a6535729f931c6367">getRootBoneIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#965e3586c6755f89259d1031a14523d7">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#c6b9e51da875511386faada1aa6dcf8d">hasAnimation</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#c9a9e603f2da6248b004f3f958a69664">hasManualBones</a>(void) const </td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#da62272e0e10c5ca5f619a2cdc348594">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2de2f45c5e800d11b3b2d5119d53eab">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2e265ae571e26eb5e2c57a5fe17ad9c">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#784ac37435bd89e6e0e31e58e8da22bf">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#adcaa41accf6256ecf6c402e4839c0e9">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#e93aeeef114b2c5d9db170d0beda944b">LinkedSkeletonAnimSourceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#fdfc1f1d1b1fa14d29d5509d36f4d5e0">LinkedSkeletonAnimSourceList</a> typedef</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#edf85fc311b08d402ec8bcdb145fdfd1">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#33faa184ac9e960dfc4dc242b2a96809">loadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572ca38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572cf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#d9304a32da9742c346eb2c24dfeaef94">mAnimationsList</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#20571d720d0f33cbc98adba63bec3b3d">mBlendState</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#0164943c64c4d4634046c40eba6c6914">mBoneList</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#51de68b26bf9a15ef399686713ac739b">mBoneListByName</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#d714391a25cdf4eb435c269d882e7904">mLinkedSkeletonAnimSourceList</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#170f4e3111f1338b45bf55d2f497a4be">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#22374d7c595a7aacc812906b025d41f0">mManualBones</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#a41c36e353417b99d64c31fb8a39c3af">mManualBonesDirty</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#23e247a9b511eaa21e772d3ff3bb4b5f">mNextAutoHandle</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#29e96975d05f528c597b93871088de8b">mRootBones</a></td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#fdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#542c24dc374d0ff8ba4ecdda99b5da06">optimiseAllAnimations</a>(bool preservingIdentityNodeTracks=false)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#9921da2e3e8247f469d7cac832c2dfa9">queueFireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#79f86c7d6574d05cdec5ca2e6c6e26f8">removeAllLinkedSkeletonAnimationSources</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#633c573a2b77bef7a2fe210358dcb280">removeAnimation</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#2cc39b7ae56b8137edd6c5a55519cfac">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#8e0d4478cbb8f44f638ae8d1d72ff3fb">reset</a>(bool resetManualBones=false)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#3f7632e047bb6e65fff3c536612fedb7">setAnimationState</a>(const AnimationStateSet &amp;animSet)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#126372a71844bda74011ccd5088f706c">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#e1f1e2f2cb6ac088684d814023abcc36">setBindingPose</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#0afe24842c40767f308ee7c2f04e999e">setBlendMode</a>(SkeletonAnimationBlendMode state)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#61aa3348d59af939a143465cf40e5dc7">Skeleton</a>()</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#62473ff68d4c6522bb22872493b8c18c">Skeleton</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#091f8c455d475a25c676a71ba577fa07">SkeletonInstance</a> class</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#e229b1f58092109adef55bfc6f864d79">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#7f88b3d26c4a90bac263442ff4f77244">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Skeleton.html#5b6c6505768949ab0b9402e5aa130b5e">~Skeleton</a>()</td><td><a class="el" href="classOgre_1_1Skeleton.html">Ogre::Skeleton</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:52 2008
</p>
</body>
</html>
